<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BookCar StructType
 * @package Dg
 * @subpackage Structs
 */
class DgBookCar extends AbstractStructBase
{
    /**
     * The OTA_VehResRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOTA_VehResRQ
     */
    public $OTA_VehResRQ;
    /**
     * Constructor method for BookCar
     * @uses DgBookCar::setOTA_VehResRQ()
     * @param \dgsoft\StructType\DgOTA_VehResRQ $oTA_VehResRQ
     */
    public function __construct(\dgsoft\StructType\DgOTA_VehResRQ $oTA_VehResRQ = null)
    {
        $this
            ->setOTA_VehResRQ($oTA_VehResRQ);
    }
    /**
     * Get OTA_VehResRQ value
     * @return \dgsoft\StructType\DgOTA_VehResRQ|null
     */
    public function getOTA_VehResRQ()
    {
        return $this->OTA_VehResRQ;
    }
    /**
     * Set OTA_VehResRQ value
     * @param \dgsoft\StructType\DgOTA_VehResRQ $oTA_VehResRQ
     * @return \dgsoft\StructType\DgBookCar
     */
    public function setOTA_VehResRQ(\dgsoft\StructType\DgOTA_VehResRQ $oTA_VehResRQ = null)
    {
        $this->OTA_VehResRQ = $oTA_VehResRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgBookCar
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
